Name:           perl-SNMP-Info
Version:        3.37
Release:        1%{?dist}
Summary:        Object Oriented Perl5 Interface to Network devices and MIBs through SNMP
License:        BSD
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/SNMP-Info/
Source0:        http://search.cpan.org/CPAN/authors/id/O/OL/OLIVER/SNMP-Info-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  glibc-common
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(Module::Build) >= 0.42
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Run-time:
BuildRequires:  perl(Carp)
# Class::ISA not used at tests
# constant not used at tests
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(Math::BigInt)
# Module::Info not used at tests
# Module::Load not used at tests
# PPI not used at tests
BuildRequires:  perl(SNMP)
BuildRequires:  perl(vars)
# Tests:
BuildRequires:  perl(Test::More) >= 0.88
# Optional tests:
# File::Find not used
# Test::Distribution not used

Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
SNMP::Info gives an object oriented interface to information obtained
through SNMP.

%prep
%setup -q -n SNMP-Info-%{version}
find contrib -type f | xargs chmod -x 

%build
perl Build.PL installdirs=vendor
./Build

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
%{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%files
%license LICENSE
%doc Changes contrib
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Mon Aug 07 2017 Jitka Plesnikova <jplesnik@redhat.com> - 3.37-1
- 3.37 bump

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.34-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sun Jun 04 2017 Jitka Plesnikova <jplesnik@redhat.com> - 3.34-3
- Perl 5.26 rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.34-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Dec 13 2016 Jitka Plesnikova <jplesnik@redhat.com> - 3.34-1
- 3.34 bump

* Tue Jun 14 2016 Jitka Plesnikova <jplesnik@redhat.com> - 3.33-1
- 3.33 bump

* Tue May 17 2016 Jitka Plesnikova <jplesnik@redhat.com> - 3.31-2
- Perl 5.24 rebuild

* Tue Mar 22 2016 Jitka Plesnikova <jplesnik@redhat.com> - 3.31-1
- 3.31 bump

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3.30-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Nov 25 2015 Jitka Plesnikova <jplesnik@redhat.com> - 3.30-1
- 3.30 bump

* Thu Jun 25 2015 Petr Pisar <ppisar@redhat.com> - 3.28-1
- 3.28 bump

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.24-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Jun 04 2015 Jitka Plesnikova <jplesnik@redhat.com> - 3.24-2
- Perl 5.22 rebuild

* Sun Feb 08 2015 Ken Dreyer <ktdreyer@ktdreyer.com> - 3.24-1
- Update to 3.24 (RHBZ #1190423)

* Wed Dec 10 2014 Ken Dreyer <ktdreyer@ktdreyer.com> - 3.23-1
- Update to 3.23 (RHBZ #1172631)

* Sat Dec 06 2014 Ken Dreyer <ktdreyer@ktdreyer.com> - 3.22-1
- Update to 3.22 (RHBZ #1171044)
- Use %%license macro
- Remove explicit BuildRoot definition
- Remove "rm -rf buildroot" cruft

* Wed Sep 10 2014 Ken Dreyer <ktdreyer@ktdreyer.com> - 3.20-1
- Update to 3.20 (RHBZ #1125871)

* Wed Aug 27 2014 Jitka Plesnikova <jplesnik@redhat.com> - 3.18-2
- Perl 5.20 rebuild

* Sun Jul 06 2014 Ken Dreyer <ktdreyer@ktdreyer.com> - 3.18-1
- Update to 3.18 (RHBZ #1116607)

* Mon Jun 30 2014 Ken Dreyer <ktdreyer@ktdreyer.com> - 3.17-1
- Update to 3.17 (RHBZ #1114330)

* Wed Jun 11 2014 Ken Dreyer <ktdreyer@ktdreyer.com> - 3.15-1
- Update to 3.15 (RHBZ #1105811)
- rm %%defattr

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.13-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Apr 03 2014 Ken Dreyer <ktdreyer@ktdreyer.com> - 3.13-1
- Update to 3.13 (RHBZ #1082309)

* Tue Feb 11 2014 Ken Dreyer <ktdreyer@ktdreyer.com> - 3.12-1
- Update to 3.12 (RHBZ #1063776)

* Wed Feb 05 2014 Ken Dreyer <ktdreyer@ktdreyer.com> - 3.11-1
- Update to 3.11 (RHBZ #1059639)

* Mon Dec 23 2013 Ken Dreyer <ktdreyer@ktdreyer.com> - 3.10-1
- Update to 3.10 (RHBZ #1044434)

* Wed Oct 23 2013 Ken Dreyer <ktdreyer@ktdreyer.com> - 3.08-1
- Update to 3.08 (RHBZ #1022681)

* Thu Oct 03 2013 Ken Dreyer <ktdreyer@ktdreyer.com> - 3.07-1
- Update to 3.07

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.11-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Jul 18 2013 Petr Pisar <ppisar@redhat.com> - 2.11-3
- Perl 5.18 rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Dec 26 2012 Ken Dreyer <ktdreyer@ktdreyer.com> - 2.11-1
- upgrade to 2.11

* Thu Dec 06 2012 Ken Dreyer <ktdreyer@ktdreyer.com> - 2.09-1
- upgrade to 2.09

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.06-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jun 11 2012 Petr Pisar <ppisar@redhat.com> - 2.06-3
- Perl 5.16 rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.06-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Oct 06 2011 <walt@gouldfamily.org> 2.06-1
- upgrade to 2.06
* Thu Jun 18 2009 <walt@gouldfamily.org> 2.01-1
- upgrade to 2.01
